This is the latest installation advice from Amihai,
to go with the latest tarball:
aviz-5.6.1.tar.gz
which we have tested on Red Hat Enterprise and Centos.


1. Make sure to install the following:
tmake
qt
qt-devel

2. In 64-bit operating systems, instead of ./configure type
./configure --x-libraries=/usr/X11R6/lib64

then do "make".

3. If you get the following error:

/usr/bin/ld: cannot find -lqt

edit the file src/Makefile and replace line number 17

LIBS    =       $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lGL -lGLU -lqt -lXext -lX11 -lm

with

LIBS    =       $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib64 -lGL -lGLU -lqt-mt -lXext -lX11
-lm

and do "make" again.

4. At the end do "make install".